Subject: Re: [PATCH net-next v10 07/13] net: Add struct kernel_ethtool_ts_info

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 10 Apr 2024 20:37:28 +0100

On Wed, Apr 10, 2024 at 03:54:12PM +0200, Kory Maincent wrote:
> On Wed, 10 Apr 2024 11:04:36 +0100
> "Russell King (Oracle)" <[email-masked]> wrote:
> 
> > On Wed, Apr 10, 2024 at 10:12:00AM +0200, Kory Maincent wrote:
> > > On Tue, 9 Apr 2024 18:27:25 -0700
> > > Jakub Kicinski <[email-masked]> wrote:
> > >   
> > > > On Tue, 09 Apr 2024 10:26:29 +0200 Kory Maincent wrote:  
> > > > > In prevision to add new UAPI for hwtstamp we will be limited to the
> > > > > struct ethtool_ts_info that is currently passed in fixed binary format
> > > > > through the ETHTOOL_GET_TS_INFO ethtool ioctl. It would be good if new
> > > > > kernel code already started operating on an extensible kernel variant
> > > > > of that structure, similar in concept to struct kernel_hwtstamp_config
> > > > > vs struct hwtstamp_config.
> > > > > 
> > > > > Since struct ethtool_ts_info is in include/uapi/linux/ethtool.h, here
> > > > > we introduce the kernel-only structure in include/linux/ethtool.h.
> > > > > The manual copy is then made in the function called by
> > > > > ETHTOOL_GET_TS_INFO. 
> > > > 
> > > > This one now conflicts :(
> > > > 
> > > > Applying: net: Add struct kernel_ethtool_ts_info
> > > > error: sha1 information is lacking or useless
> > > > (drivers/net/phy/marvell_ptp.c). error: could not build fake ancestor  
> > > 
> > > gnn patching my out of tree patch in the series! Sorry for that.  
> > 
> > Given that this path corresponds to the driver I wrote, do I assume
> > that you've picked up my work on PTP support for Marvell PHYs? You
> > should be aware that I still have the patches out of tree but it's
> > been pointless me reposting it until the issue of which PTP gets
> > used has been solved. (Publishing will just increase the pressure
> > to merge it without the PTP problems being solved, and thus break
> > Marvell PP2 PTP.)
> 
> Yes I did with few fixes and I know you don't want to post the patches until
> setting which PTP gets used has been solved. As you can see this is one of the
> subject of this series. About it, could you review this series? This would help
> a lot and you will be able to post again your Marvell PTP patches if its get
> merged.

I wish I could, but I'm seriously short of available time at the
moment. I'm fitting in what I can day by day and there are many
things wanting my attention - but I don't have enough time at the
moment for everything. So really I can't take on anything new
right now.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!